## jp 0.1.3

=== Makefile ===
JP_VERSION=""

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  test     to run all the tests."

test:
	# CLI specific test cases.
	test/vendor/bats/libexec/bats test/cases
	# JMESPath compliance tests, using the jp-compliance
	# runner from github.com/jmespath/jmespath.test
	test/jp-compliance -d test/compliance/ -e ./jp

# This will create/tag a new release locally, but not push anything.
# The workflow for a new release is:
#
# 1. $ make new-release JP_VERSION=1.0.0
# < you'll get prompted for a few things >
#

# 2. $ git push origin master --tags
#
#
# 3. Go to github and create a release
#    Right now, the last step isn't automated.  You still
#    have to manually upload the release assets from build/.
new-release:
	scripts/bump-version $(JP_VERSION)
	git add jp.go && git commit -m "Bumping version to $(JP_VERSION)"
	git tag -s -m "Tagging $(JP_VERSION) release" $(JP_VERSION)
	scripts/build-all-platforms
	scripts/sign-all

.PHONY: help test

=== debian/changelog ===
jp (0.1.3-1) unstable; urgency=medium

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sat, 23 Jun 2018 22:02:03 -0400

=== debian/control ===
Source: jp
Section: utils
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-codegangsta-cli-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-go,
	       bats
Standards-Version: 4.1.4
Homepage: https://github.com/jmespath/jp
Vcs-Browser: https://salsa.debian.org/debian/jp
Vcs-Git: https://salsa.debian.org/debian/jp.git
XS-Go-Import-Path: github.com/jmespath/jp

Package: jp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: command-line interface to JMESPath
 The jp command is a command-line interface to JMESPath, an expression
 language for manipulating JSON (as XPath is to XML).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jp-$1\.tar\.gz/ \
  https://github.com/jmespath/jp/tags .*/v?(\d\S+)\.tar\.gz

## jp 0.2.1%2Bds1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 JP_VERSION=""
 
-help:
-	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  test     to run all the tests."
+
+all: build test
+
+build:
+	go build ./...
 
 test:
 	# CLI specific test cases.
@@ -31,4 +33,4 @@
 	scripts/build-all-platforms
 	scripts/sign-all
 
-.PHONY: help test
+.PHONY: help test build

## jp 0.2.1+ds1

=== debian/changelog ===
jp (0.2.1+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 12 Jun 2022 20:11:52 -0400

jp (0.1.3-3) unstable; urgency=medium

  * Set Rules-Requires-Root: no
  * Add Breaks+Replaces: sat-xmpp-jp (<< 0.8.0-1).  closes: #904742.

 -- Clint Adams <clint@debian.org>  Thu, 24 Feb 2022 08:03:01 -0500

jp (0.1.3-2) unstable; urgency=medium

  * Bump debhelper compat level to 13.

 -- Clint Adams <clint@debian.org>  Tue, 22 Feb 2022 09:44:01 -0500

=== debian/control ===
Source: jp
Section: utils
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-github-jmespath-go-jmespath-dev,
	       golang-github-urfave-cli-dev,
               golang-go,
	       bats
Standards-Version: 4.6.1
Homepage: https://github.com/jmespath/jp
Vcs-Browser: https://salsa.debian.org/debian/jp
Vcs-Git: https://salsa.debian.org/debian/jp.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jmespath/jp

Package: jp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Breaks: sat-xmpp-jp (<< 0.8.0-1)
Replaces: sat-xmpp-jp (<< 0.8.0-1)
Description: command-line interface to JMESPath
 The jp command is a command-line interface to JMESPath, an expression
 language for manipulating JSON (as XPath is to XML).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	JP=obj-$(DEB_HOST_GNU_TYPE)/bin/jp bats test/cases
endif


override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jp-$1\.tar\.gz/,repacksuffix=+ds1 \
  https://github.com/jmespath/jp/tags .*/v?(\d\S+)\.tar\.gz
